#include<bits/stdc++.h>
using namespace std;
const long long MAXN=100007;
string s,t[MAXN];
int n;
bool sysht[MAXN];
bool check(int x, int h)
{
    int w=0;
    for (int q=x;w<t[h].size() && q<s.size();q++)
    {
        if (sysht[q]) continue;
        if (s[q]!=t[h][w]) return false;
        w++;
    }
    if (w==t[h].size()) return true;
    else return false;
}
int main()
{
    cin>>s;
    cin>>n;
    for (int q=0;q<n;q++) cin>>t[q];
    while (true)
    {
        int ass=-1,ll=-1;
        for (int q=0;q<s.size();q++)
        {
            for (int w=0;w<n;w++)
            {
                if (check(q,w))
                {
                    ass=q;
                    ll=t[w].size();
                }
            }
        }
        if (ass==-1) break;
        else
        {
            int l1=0;
            for (int q=ass;q<s.size() && l1<ll;q++)
            {
                if (sysht[q]==0)
                {
                    l1++;
                    sysht[q]=1;
                }
            }
        }
    }
    for (int q=0;q<s.size();q++)
    {
        if (sysht[q]==0) cout<<s[q];
    }
}
